Bug 813418 - Missing Wait Node - No Message/Notification Wait artefact in BPMN palette
Missing Wait Node - No Message/Notification Wait artefact in BPMN palette
Status: CLOSED WONTFIX
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Tooling (JBDS) (Show other bugs)
BRMS 5.3.0.GA
i386 Windows
unspecified Severity high
: ---
: CONTINUING
Assigned To: Kris Verlaenen
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 13:54 EDT by Derek Howlett
Modified: 2013-10-20 18:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 10:52:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Howlett 2012-04-17 13:54:01 EDT
Description of problem:
No Message/Notification Wait artefact in BPMN palette - wait node hasn't been implemented yet. Work around was to use a human task. Community versions do seem include this node for modelling but no support in the runtime. Would need this as part of BRMS.

Version-Release number of selected component (if applicable):
  JBoss Developer Studio 5.  Windows Version. Java 1.6

How reproducible:


Steps to Reproduce:
1. Create a new JBPM BPMN2.0 Project
2. Create a new JBPM BPRM business process
3. Try to create a wait node in the palette
  
Actual results:
Wait Node is missing.

Expected results:
No Message/Notification Wait artefact in BPMN palette - wait node hasn't been implemented yet. 

Additional info:
Work around was to use a human task. Community versions do seem include this node for modelling but no support in the runtime. Would need this as part of BRMS.
Comment 1 Kris Verlaenen 2012-11-07 10:52:35 EST
The wait node was something that was supported as part of RuleFlow, and was a custom node.  This node however doesn't translate well to any BPMN2 construct.  BPMN2 doesn't directly support the concept of a wait state, there are other constructs used to model something like this.  As a result, we are no longer support this node (in the BPMN2 implementation).

Note You need to log in before you can comment on or make changes to this bug.